Subject: RE: Cygwin RCS Build Instructions (or sometimes ash does not like a.out)
From: "Andre Oliveira da Costa" <[email-masked]>
To: "Jason Tishler" <[email-masked]>, "Cygwin" <[email-masked]>
Cc: "Steve Kelem" <[email-masked]>, "John Green" <[email-masked]>, "Andre Oliveira da Costa" <[email-masked]>, "Sagar R. Shah" <[email-masked]>
Date: Mon, 16 Oct 2000 12:12:54 -0200

Hi everybody,

Sorry for taking so long to reply, I didn't read cygwin emails during the
last 4 days.

Jason is right when he assumed I used bash as the default bourne shell when
I compiled RCS. It really looks like using ash instead is the cause for the
strange behavior that some people experience when compiling RCS (I myself
have been through some hell until it finally worked, too)

I am glad this finally came to an end and RCS is available to all cygwin'ers
=)

BTW, the credit should go to the right person: the patch that I posted on
the mentioned email is not my creation, I received it from someone else (I
believe it was David O'Riva [[email-masked]]).

Best,

Andre
--
André Oliveira da Costa
([email-masked])

> -----Original Message-----
> From: Jason Tishler [mailto:[email-masked]]
> Sent: Thursday, October 12, 2000 11:28 AM
> To: Cygwin
> Cc: Steve Kelem; John Green; Andre Oliveira da Costa; Sagar R. Shah
> Subject: Cygwin RCS Build Instructions (or sometimes ash does not like
> a.out)
>
>
> I believe that I finally got to the bottom of why there are problems
> building RCS on Cygwin.  It boils down to an idiosyncrasy of ash which
> can be demonstrating by the following:
>
>     $ cd /tmp
>     $ cp /usr/bin/id.exe a.out
>     $ sh -c ./a.out
>     ./a.out: not found
>
> Hence, ash will not execute programs when their full path is specified
> and they don't end in ".exe".
>
> The above behavior was causing RCS's src/conf.sh to fail because it
> builds a.out files and attempts to run them via sh (i.e., ash) as
> "./a.out".  Hence, conf.sh would get confused and finally abort.
>
> My guess is that Andre did not experience the above because his /bin/sh
> was really bash and not ash.
>
> The following is my Cygwin RCS build procedure:
>
> 1. tar -xzvf rcs-5.7.tar.gz
>
> 2. cd rcs-5.7
>
> 3. patch -p1 <rcs-5.7-cygwin-1.patch
>
> 4. patch -p1 <rcs-5.7-cygwin-2.patch
>
> 5. configure
>
> 6. make
>
> 7. make install
>
> 8. make installcheck
>
> Notes:
>
> 1. See attachments for the above patches.
>
> 2. rcs-5.7-cygwin-1.patch is identical to the one that Andre Oliveira
> da Costa posted in:
>
>    http://sources.redhat.com/ml/cygwin/2000-08/msg00618.html.
>
> 3. There are alternatives to using rcs-5.7-cygwin-2.patch:
>
>    a. (temporarily) replace ash with bash (i.e., cp /bin/bash /bin/sh)
>    b. fiddle with "mount -x" so that "sh -c ./a.out" works as expected
>
> 4. make installcheck did not report any errors.  But, unfortunately the
> way that it was written required me to run it after make install and
> not before as one would expect.
>
> Jason
>
> --
> Jason Tishler
> Director, Software Engineering       Phone: +1 (732) 264-8770 x235
> Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
> 82 Bethany Road, Suite 7             Email: [email-masked]
> Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]